"use strict";

const HTMLElementImpl = require("./HTMLElement-impl").implementation;
const { childTextContent } = require("../helpers/text");

class HTMLScriptElementImpl extends HTMLElementImpl {
  get text() {
    return childTextContent(this);
  }

  set text(text) {
    this.textContent = text;
  }
}

module.exports = {
  implementation: HTMLScriptElementImpl
};
